<?php

class WmailingController extends WadminController {
	
	public function enviarmailingcomisionistashijosAction(){

		if (ob_get_level() == 0) ob_start();
		
		for ($i = 0; $i<3; $i++){
			$texto ='';
			switch ($i){
				case 0:$texto = 'Preparados';
					break;
				case 1:$texto = 'Listos';
					break;
				case 2:$texto = 'YA';
					break;
			}
			echo "<br> ".$texto;
			echo str_pad('',4096)."\n";
		
			ob_flush();
			flush();
			sleep(1);
		}
		
		echo "<br>VAMOSSSS!!!!!<br>";
		echo str_pad('',4096)."\n";
		ob_flush();
		flush();
		
		ob_end_flush();
		
		define('CODIGO_COMISIONISTA_AGRUPACION_NEGO', '0587000');
		define('CODIGO_COMISIONISTA_VCC', '0591000');
		$codigo_comisionista_padre = CODIGO_COMISIONISTA_AGRUPACION_NEGO; 
		
		$agencias = Potencial::getByComisinistasHijos($codigo_comisionista_padre);
		//$lista_potenciales = "'0001136','0064923'";
		//$agencias = Potencial::getByLista($lista_potenciales);
		if (!$agencias) die('No hay agencias');
		//echo 'Nº agencias:'.count($agencias);
		//echo '<br><br>';
		$contador_inicial = 503;
		$contador_registros = 1;
		$_asunto = 'Datos de acceso a la extranet de LimousineCC';
		$_vista = 'notificacion_acceso_intranet';
		$_titulo = 'Datos de Acceso a LimousineCC';
		$_mensaje_base = 'Estimado Colaborador,<br/><br/>
		Le adjuntamos el enlace a nuestra extranet donde podrá solicitar presupuestos ver su cuenta de explotación, presupuestos solicitados y estado, servicios y estado, liquidaciones y llamadas recibidas.<br/><br/>
		<a href="http://extranetvcc.com:8086/lcc/public/index.php/wusuarios/login/">Extranet LimousineCC</a><br><br>
		Usuario: <b>##usuario##</b> <br><br>
		Contraseña: <b>##clave##</b> <br><br>
		Para facilitarle el acceso a la extranet se ha dado de alta en el panel de <strong>Clave Única</strong><br><br>
		Adjuntamos manual de nuestra extranet y del proceso de solicitud de presupuestos.<br><br>
		Para cualquier duda póngase en contacto con nosotros.<br><br>
		Un saludo.';
		$_adjunto = 'Prescriptores.pdf';
		$_logo = "http://" . $_SERVER ['HTTP_HOST'].PUBLICURL.'/../imagenes/email/logo_limousinecc.png';
		set_time_limit(0);
		if (ob_get_level() == 0) ob_start();
		foreach ($agencias as $agencia) {
			if ($contador_inicial>$contador_registros) {
				$contador_registros++;
				continue;
			}
			$nombre = $agencia['nombre'];
			$usuario = $agencia['usuarioWeb'];
			$clave = $agencia['contraseWeb'];
			$_email = str_replace('#', '@', $agencia['email']);
			$_mensaje = $_mensaje_base;
			$_mensaje = str_replace('##usuario##', $usuario, $_mensaje);
			$_mensaje = str_replace('##clave##', $clave, $_mensaje);
			$email = new Email();
			$email->addDestinatario($nombre, $_email);
			$email->setAsunto($_asunto);
			$email->setVista($_vista);
			$email->titulo = $_titulo;
			$email->mensaje = $_mensaje;
			$email->url = '';
			$email->logo = $_logo;
			$email->addAdjunto(RUTA_FICHEROS.$_adjunto);
			echo ' Envío Nº '.$contador_registros.':'.$nombre.' - '.$_email.' - '.$usuario.' - '.$clave.' ............. ';
			//echo $email->renderVista();
			echo str_pad('',4096)."\n";
			ob_flush();
			flush();
				
			if ($email->enviar()) {
				echo ' <span style="background-color:#9BF984;padding:1px 5px;">CORRETO</span><br/>';
				Log::addMensaje(' Envío Nº '.$contador_registros.':'.$nombre.' - '.$_email.' - '.$usuario.' - '.$clave);
			} else { 
				echo ' <span style="background-color:#F00;padding:1px 5px;">FALLO</span><br/>';
				Log::addMensaje(' ###FALLO### Envío Nº '.$contador_registros.':'.$nombre.' - '.$_email.' - '.$usuario.' - '.$clave);
			}
			
			echo str_pad('',4096)."\n";
			ob_flush();
			flush();
			$contador_registros++;
		}
		echo 'FIN';
		ob_end_flush();
		//print_r($agencias);
		
		die();
		
	}
	
}